Bug 523695 - libdir problem on x86_64
Summary: libdir problem on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: monodevelop
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 13:17 UTC by David Nielsen
Modified: 2010-06-09 21:04 UTC (History)
4 users (show)

Fixed In Version: 2.1.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:39:08 UTC


Attachments (Terms of Use)

Description David Nielsen 2009-09-16 13:17:48 UTC
Description of problem:
we have another winner in the libdir insanity:

[david@dawkins Hentet]$ monodevelop 
WARNING: Cannot find Mozilla directory containing libgtkembedmoz.so. Some Addins may not be able to function. Please set MOZILLA_FIVE_HOME to your Mozilla directory.
Cannot open assembly '/usr/lib/monodevelop/bin/MonoDevelop.exe': Ingen sådan fil eller filkatalog.

Version-Release number of selected component (if applicable):
monodevelop-2.1.0-1.fc12.x86_64

How reproducible:
100%

Comment 1 Michel Alexandre Salim 2009-09-21 05:47:25 UTC
This problem is trivial to fix -- basically the monodevelop shell script is now provided in final form, instead of monodevelop.in, and we are still trying to patch monodevelop.in

A harder problem is that the Cecil and Nunit fixes are now broken too. The scripts probably need to be updated -- there are some archaic references in the spec to nunit22, for instance. I'll look into this.

[michel@erdos monodevelop]$ rpm -qpl /home/michel/Download/monodevelop-2.1.0-1.fc12.x86_64.rpm | grep Cecil
/usr/lib64/monodevelop/bin/Mono.Cecil.Mdb.dll
/usr/lib64/monodevelop/bin/Mono.Cecil.Mdb.dll.mdb
/usr/lib64/monodevelop/bin/Mono.Cecil.dll
/usr/lib64/monodevelop/bin/Mono.Cecil.dll.mdb
[michel@erdos monodevelop]$ rpm -qpl /home/michel/Download/monodevelop-2.1.0-1.fc12.x86_64.rpm | grep nunit
/usr/lib64/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions_nunit.dll
/usr/lib64/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions_nunit.dll.mdb
/usr/lib64/monodevelop/AddIns/NUnit/nunit.core.dll
/usr/lib64/monodevelop/AddIns/NUnit/nunit.core.interfaces.dll
/usr/lib64/monodevelop/AddIns/NUnit/nunit.framework.dll
/usr/lib64/monodevelop/AddIns/NUnit/nunit.util.dll

Comment 2 Michel Alexandre Salim 2009-09-21 06:01:42 UTC
(and all the cecil scripts at the top of the spec file are somehow commented out -- why? Thankfully, #% is equivalent to %, so the commenting does no harm)

Going to replace our cecil and nunit patches with a sed script; really, there is no point hard-coding the list of files we change, as we'd just end up playing whack-a-mole. better to nab any occurence of the files across all makefiles.

Comment 3 Michel Alexandre Salim 2009-09-21 08:16:31 UTC
OK, the new build should be up on Rawhide soon:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1694064

I've reworked all the patches; most of the cecil/nunit adjustments are now done using sed, to make sure we do not miss any; the -unbundle patches are simply to prevent the bundled Cecil and NUnit DLLs from being included in the install, and the -rmcecildeps is to make Cecil-using assemblies to link against the system Cecil.

Minor spec errors and excessive dependencies have been fixed; and we now use the latest nunit 2.4 rather than the compatibility nunit22.

Comment 4 David Nielsen 2009-09-21 08:34:32 UTC
You are truly a god amongst men Michel and I owe you beer in quantities unmentionable by mere mortals.

Comment 5 Bobby Powers 2009-09-30 17:36:52 UTC
I've had the same issue.  Changing the path to the monodevelop exe allowed mono to startup, but trying to compile anything failed (with a .NET/mono not found error) until i put a symlink at /usr/lib/mono to /usr/lib64/mono.  I can test the new packages and see if it fixes this too.

Comment 6 Bobby Powers 2009-09-30 17:44:44 UTC
2.1.0-2 still has a broken monodevelop launcher (looks in /usr/lib instead of /usr/lib64).

In addition, compilation is still broken with the error:
"Framework 'Mono / .NET 2.0' not installed."
This can be 'fixed' by:
sudo ln -s /usr/lib64/mono /usr/lib/mono

hope this helps

Comment 7 Paul F. Johnson 2009-09-30 18:04:52 UTC
Commiting 2.1.0-3. It should fix the monodevelop launcher... Expect it to hit rawhide tomorrow...

Comment 8 Michel Alexandre Salim 2009-10-01 17:02:03 UTC
You'd have to request rel-eng to tag it for F-12 before you can build, though. I think the new Rawhide builds are no longer being pushed to the daily compose (i.e. FTP's rawhide is different from our spec repo's rawhide).

Comment 9 Fedora Update System 2009-11-10 22:11:52 UTC
monodevelop-2.1.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/monodevelop-2.1.0-4.fc12

Comment 10 Fedora Update System 2009-11-12 00:55:34 UTC
monodevelop-2.1.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update monodevelop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11420

Comment 11 Bug Zapper 2009-11-16 12:28:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Fedora Update System 2009-11-20 05:38:53 UTC
monodevelop-2.1.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.